Bug 1340833 (CVE-2016-4423)

Summary: CVE-2016-4423 php-symfony: Large username storage in session
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: anemec, fedora, james.hogarth, shawn
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: php-symfony 2.7.13, php-symfony 2.3.41 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-01-02 08:15:35 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1340834, 1340835    
Bug Blocks:    

Description Andrej Nemec 2016-05-30 11:30:00 UTC
When an authentication form is submitted by the user and if the user does not exist, the submitted username is stored in the session. If an attacker submit multiple requests with large usernames, he can potentially fill up the session storage.

External references:

https://symfony.com/blog/cve-2016-4423-large-username-storage-in-session

Comment 1 Andrej Nemec 2016-05-30 11:30:26 UTC
Created php-symfony tracking bugs for this issue:

Affects: epel-all [bug 1340834]
Affects: fedora-all [bug 1340835]

Comment 2 Shawn Iwinski 2016-12-28 22:01:21 UTC
All dependent bugs closed.